Subject: bug#71379: 29.3; Elisp compiler: warnings for formats given insufficiently many arguments

From: Eli Zaretskii <[email-masked]>
Date: Wed, 05 Jun 2024 20:48:25 +0300

> From: Mattias Engdegård <[email-masked]>
> Date: Wed, 5 Jun 2024 18:56:52 +0200
> Cc: [email-masked],
>  Eli Zaretskii <[email-masked]>
> 
> I stumbled on this report by accident:
> 
> > But why don't I get a similar error message for my call to user-error ?
> 
> That's a clear oversight, thank you for reporting it. Will fix.
> 
> Should be trivial enough for master (and I have made a full bootstrap) but I'm asking Eli for confirmation just in case.

Thanks, I'd like to see the changes before making up my mind about
that.  The problem is definitely not serious, so the fix should be
safe enough to qualify.